#
# spec file for package shigofumi
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           shigofumi
Version:        0.9
Release:        1.14
Summary:        Command line client for accessing the Czech Data Boxes
License:        GPL-3.0+
Group:          Applications/Internet
URL:            http://xpisar.wz.cz/%{name}/
Source0:        http://xpisar.wz.cz/%{name}/dist/%{name}-%{version}.tar.xz
BuildRequires:  docbook-xsl-stylesheets
BuildRequires:  file-devel
BuildRequires:  pkg-config
BuildRequires:  po4a
BuildRequires:  readline-devel
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(libconfuse)
BuildRequires:  pkgconfig(libisds) >= 0.10.7
BuildRequires:  pkgconfig(libxml-2.0)

%description
This is Shigofumi, an ISDS (Informační systém datových schránek / Data Box
Information System) client.

%prep
%autosetup -p1

%build
%configure \
    --disable-fatalwarnings
%make_build

%install
%make_install
%find_lang %{name}

%check
make %{?_smp_mflags} check

%files -f %{name}.lang
%doc AUTHORS NEWS TODO
%license COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/*/man1/*
%{_mandir}/man5/*
%{_mandir}/*/man5/*

%changelog
* Thu Jun 24 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.9
  * Box types (e.g. a statutory auditor) added to testing ISDS
    instance in 2017-05 are recongized now.
  * Fixed a memory leak in an error path of tokenizing a command line
- Drop upstream fixed shigofumi.patch
* Sun Jun  7 2020 olaf@aepfle.de
- Fix build with shigofumi.patch
* Sun Jun  4 2017 tchvatal@suse.com
- Update to latest version 0.8:
  * Fixes build fail on Factory
  * Various small fixes
* Mon Jan 12 2015 tchvatal@suse.com
- Cleanup to adhere openSUSE requirements
- Version bump to 0.6:
  * libisds version 0.10 is required for this Shigofumi release.
  * A new command searchbox was added. It provides with capabality to do
    full-text search for a box.
  * Feature test macro _DEFAULT_SOURCE was added to allow compilation with
    glibc-2.20.
  * su_seconds_t type handling was fixes to allow compilation with Mac OS
    X standard library.
  * Address header was marked as a translatable string.
* Tue Apr  1 2014 ppisar@redhat.com
- 0.5 bump
- Use _DEFAULT_SOURCE where _SVID_SOURCE macro presents to satisfy
  glibc-2.19.90
* Mon Oct 21 2013 ppisar@redhat.com
- 0.4 bump
* Fri Jan  4 2013 ppisar@redhat.com
- 0.3 bump
* Tue Oct 30 2012 ppisar@redhat.com
- 0.2 bump
* Fri Feb 11 2011 ppisar@redhat.com
- Remove set but unread variable
- Remove BuildRoot stuff
* Thu Jul  8 2010 ppisar@redhat.com
- 0.1 import
